Bug 593223 - Alert Notification: fails to save the command line arguments for script execution
Alert Notification: fails to save the command line arguments for script execu...
Status: CLOSED CURRENTRELEASE
Product: RHQ Project
Classification: Other
Component: Alerts (Show other bugs)
3.0.0
All Linux
high Severity high (vote)
: ---
: ---
Assigned To: Joseph Marques
Sudhir D
:
Depends On:
Blocks: jon24-alert-notify
  Show dependency treegraph
 
Reported: 2010-05-18 04:40 EDT by Sudhir D
Modified: 2010-08-12 12:44 EDT (History)
2 users (show)

See Also:
Fixed In Version: 2.4
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-08-12 12:44:19 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Sudhir D 2010-05-18 04:40:43 EDT
Description of problem:
When an alert sender type for Resource Operations is created to execute script, once the command line arguments to be passed is entered in the Value filed, clicking save reset back to Unset(Checked).

Version-Release number of selected component (if applicable):
Build# 152. Version 2.4 Snapshot

How reproducible:
Always

Steps to Reproduce:
1.Create a new alert definition.
2.Click on Edit for the Alert Notification.
3.On the Alert notification page, click on Add New. Select the Alert sender
type as Resource Operations.
4.Select the resource selection mode as Relative Resource. 
5.Click Save
6.Select Start search from as "JBoss AS Server"
7.Click Save.
8.Select Then Filter by as "Script"
9.Provide the name of the script that should be executed upon meeting the alert condition.
10.Select operation name as "Execute Script"
11.Click Save.
12.Uncheck the Unset for Command line arguments and enter the value that needs to be passed.
13.Click Save.

  
Actual results:
clicking save reset back to Unset(Checked)

Expected results:
command line arguments that need to be passed should be retained.

Additional info:
Comment 1 Charles Crouch 2010-06-07 23:08:00 EDT
Is this still a problem Sudhir?
Comment 2 Sudhir D 2010-06-08 07:58:42 EDT
Yes. Retried it on Beta build and issue still persist.
Comment 3 Joseph Marques 2010-06-10 05:25:20 EDT
commit b848dc16492a1c34dc043c9fcd7243e9ac38cfd7
Author: Joseph Marques <joseph@redhat.com>
Date:   Thu Jun 10 04:27:59 2010 -0400

    BZ-593223: add ability to save/restore operationArguments for operation-based alert senders
    
    'extra parameters' base support:
    * augment AlertNotification entity store "extra parameters" configuration object
    * add dbsetup/dbupgrade parts for this "extra parameters" element
    * modify backend and UI code to do managed loading/persistence of this extra notification info
    ** update various locations in servar/jar, server/plugin/pc/alert, and portal/war for retrieval/storage
    
    operation-based alert sender improvements:
    * modify the load/save algorithms to use "extra parameters" config to retrieve/store arguments for selected operation
    * remove enum and legacy referencs to OperationInfo.Constants.ARGUMENTS_CONFIG_ID
Comment 4 Corey Welton 2010-06-10 15:02:26 EDT
QA Verified. cmdline parameters can be successfully passed.

Note:  discovered bug #602788 while verifying this.
Comment 5 Corey Welton 2010-08-12 12:44:19 EDT
Mass-closure of verified bugs against JON.

Note You need to log in before you can comment on or make changes to this bug.